client.reset();

leichter=new VisObj(new Node("obj/leichter2.obj"), new Vector3f());
client.root.add(leichter);
leichter.transform.scale(new Vector3f(.1,.1,.1));
leichter.transform.rotate(-Math.PI/2,new Vector3f(1,0,0));
leichter.mouseable=false; //prevent mouse picking



river=new VisRiver(new Node("river"), new Vector3f(0,0,0))

river.hole(47,39,54,62);  //leichter
river.hole(45,37,47,68);  //steg

riverTransform=new VisTransform();
riverTransform.position=new Vector3f(-500,0,-500);
riverTransform.transform.scale(new Vector3f(10,1,10));
riverTransform.add(river);

structure=client.root.getNode(VisStructure);
structure.add(riverTransform);

structure.add(new VisLight(new Node("100,0,0"), new Vector3f(10,10,50)));
structure.add(new VisLight(new Node("100,60,0"), new Vector3f(10,10,-50)));
structure.add(new VisCameraman(new Node(""), new Vector3f(0,10,0)));

function video(filename){	
	var video=new VisVideo(new Node("file:"+filename), new Vector3f(-wall.children.size()*20+70,0,0));
	wall.add(video);
}

function image(filename){	
	var image=new VisImage(new Node(filename), new Vector3f(-wall.children.size()*20+70,0,0));
	wall.add(image);
}


wall=new VisTransform();
wall.position=new Vector3f(30,7,0);
wall.transform.rotate(-Math.PI/2,new Vector3f(0,1,0));
structure.add(wall);
image("/home/tele/Desktop/bilder/logo.gif");
image("/home/tele/Desktop/paul/nuklear/TrigaReactorCore.jpg");
video("/home/tele/Desktop/paul/nuklear/tagessachau.flv");
video("/home/tele/Desktop/jaus/wendelsteinSpule.mpg");
video("/home/tele/Desktop/jaus/self.mpg");
video("/home/tele/Desktop/jaus/robotcooking.mpg");
video("/home/tele/Desktop/jaus/mechanical.mpg");
video("/home/tele/Desktop/jaus/richter1921.mpg");
video("/home/tele/Desktop/jaus/monkeyDrummer.mpg");

wall=new VisTransform();
wall.position=new Vector3f(-30,7,0);
wall.transform.rotate(Math.PI/2,new Vector3f(0,1,0));
structure.add(wall);
image("/home/tele/Desktop/Screenshot-4.png");
image("/home/tele/Desktop/Screenshot-5.png");
image("/home/tele/Desktop/bilder/Screenshot-3.png");
video("/home/tele/Desktop/jaus/bozoTexino.mpg");
video("/home/tele/Desktop/jaus/gml.mpg");
image("/home/tele/Desktop/evacooler.jpg");


image=new VisImage(new Node("http://images2.wikia.nocookie.net/starwars/images/3/3f/Deathstar_blueprint.jpg"), new Vector3f(0,0,-90));
image.transform.scale(new Vector3f(2,2,2));
structure.add(image); 
 




