#!/bin/sh
pth=`dirname $0`
cd $pth
ln -sf libavcodec.so.51 libavcodec.so
ln -sf libavformat.so.52 libavformat.so
ln -sf libavutil.so.49 libavutil.so

proggie=`which java`

LD_LIBRARY_PATH=.
export LD_LIBRARY_PATH
javalib="-Djava.library.path=`pwd`"
java -Xmx1024m \
		-cp "lwjgl.jar:lwjgl_util.jar:jna.jar:ffmpeg.jar:jinput.jar:js.jar:." \
		$javalib \
		org.hfbk.vis.Tests
rc=$?
if [ "$rc" != 0 ] ; then
		echo "error executing java ($proggie)"
		read -p "press enter to exit " foo
fi
